Bug 32932 - Web Inspector: Fix UI issues in the Audits panel
Summary: Web Inspector: Fix UI issues in the Audits panel
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-25 02:06 PST by Alexander Pavlov (apavlov)
Modified: 2009-12-29 11:56 PST (History)
9 users (show)

See Also:


Attachments
[PATCH] Suggested fix (8.61 KB, patch)
2009-12-25 07:58 PST, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
[IMAGE] Audit Result View with the fixed UI (68.54 KB, image/png)
2009-12-25 08:12 PST, Alexander Pavlov (apavlov)
no flags Details
[PATCH] Review followed (8.54 KB, patch)
2009-12-28 06:29 PST, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pavlov (apavlov) 2009-12-25 02:06:45 PST
- There should be no double borders (left and bottom sides of the AuditResultView)
- Results should be expanded only one level initially (AuditResultView)
- All audits should be enabled by default (AuditLauncherView)
Comment 1 Alexander Pavlov (apavlov) 2009-12-25 07:58:15 PST
Created attachment 45490 [details]
[PATCH] Suggested fix
Comment 2 WebKit Review Bot 2009-12-25 08:02:07 PST
style-queue ran check-webkit-style on attachment 45490 [details] without any errors.
Comment 3 Alexander Pavlov (apavlov) 2009-12-25 08:12:33 PST
Created attachment 45491 [details]
[IMAGE] Audit Result View with the fixed UI

No double borders on the left and bottom, the results are not expanded more than 1 level initially.
Comment 4 Alexander Pavlov (apavlov) 2009-12-28 06:29:41 PST
Created attachment 45551 [details]
[PATCH] Review followed
Comment 5 WebKit Review Bot 2009-12-28 06:33:12 PST
style-queue ran check-webkit-style on attachment 45551 [details] without any errors.
Comment 6 Pavel Feldman 2009-12-29 11:47:07 PST
Once initial audit set is in, we will need to send screens to Timothy for designing the real ui.
Comment 7 WebKit Commit Bot 2009-12-29 11:56:10 PST
Comment on attachment 45551 [details]
[PATCH] Review followed

Clearing flags on attachment: 45551

Committed r52629: <http://trac.webkit.org/changeset/52629>
Comment 8 WebKit Commit Bot 2009-12-29 11:56:15 PST
All reviewed patches have been landed.  Closing bug.